Bug 44190 - iOS and tvOS Broadcast UI/Upload extension fails to build
Summary: iOS and tvOS Broadcast UI/Upload extension fails to build
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Wizards / Templates (show other bugs)
Version: 6.1.0 (C8)
Hardware: Macintosh Mac OS
: High major
Target Milestone: (C8SR0)
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-09-12 15:03 UTC by Manish Sinha
Modified: 2016-10-06 22:18 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: Yes
Last known good build: XS Cycle8 6.1.0.5440


Attachments

Description Manish Sinha 2016-09-12 15:03:19 UTC
Steps to reproduce

1. Create an iOS or tvOS app
2a. For iOS app, add either Broadcast UI or Broadcast Upload extension
2b. For tvOS app, add either Broadcast UI or Broadcast Upload extension
3. Build

Expected: Build passes successfully
Actual: Build fails


iOS Broadcast UI: http://xqa.blob.core.windows.net/gist/log-ee560b87da1e4bbb904416399ac69072.txt
iOS Broadcast Upload: http://xqa.blob.core.windows.net/gist/log-33e4b397f18f402086942bba88fd3226.txt
tvOS Broadcast UI: http://xqa.blob.core.windows.net/gist/log-b2e925ab3f02456298d36acfe3b45bc8.txt
tvOS Broadcast Upload: http://xqa.blob.core.windows.net/gist/log-69b6e2ce79bc41a28e5e2cfe2c00ef2c.txt

=== Xamarin Studio Enterprise ===

Version 6.1 (build 5441)
Installation UUID: 9f8d3275-c231-4976-ba77-8e684234ab4e
Runtime:
	Mono 4.6.0 (mono-4.6.0-branch/dea2155) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 406000243

=== NuGet ===

Version: 3.4.3.0

=== Xamarin.Profiler ===

Not Installed

=== Apple Developer Tools ===

Xcode 8.0 (11239.2)
Build 8S201h

=== Xamarin.iOS ===

Version: 10.0.0.6 (Visual Studio Enterprise)
Hash: 6c3fee4
Branch: xcode8
Build date: 2016-09-09 13:01:32-0400

=== Xamarin.Android ===

Version: 7.0.0.17 (Visual Studio Enterprise)
Android SDK: /Users/manish/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
		5.1    (API level 22)
		6.0    (API level 23)

SDK Tools Version: 25.1.7
SDK Platform Tools Version: 24
SDK Build Tools Version: 24

Java SDK: /usr
java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===

Not Installed

=== Xamarin.Mac ===

Version: 2.10.0.99 (Visual Studio Enterprise)

=== Build Information ===

Release ID: 601005441
Git revision: 68292d1ab289911c815ddc715dd7cc29a9752f9f
Build date: 2016-09-09 04:43:23-04
Xamarin addins: ed25d008672663eeb9db55f1ccecb3c24d2fd3b2
Build lane: monodevelop-lion-cycle8

=== Operating System ===

Mac OS X 10.11.6
Darwin Manishs-MacBook-Pro.local 15.6.0 Darwin Kernel Version 15.6.0
    Thu Jun 23 18:25:34 PDT 2016
    root:xnu-3248.60.10~1/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

Gist Ide Information 1.0.2
Addin Maker 1.3.2
Manifest.addin 0.0.0.0
Comment 1 xamarin-release-manager 2016-09-12 15:23:28 UTC
Fixed in version 6.2.0.484 (master)

Author: Vincent Dondain
Commit: d47ff24ca3fd500018bc6fc9b60769e4b5024d3c (xamarin/md-addins)
Included in Commit: 1e5d3872cac5dabe29bc9cb438ee417608c236e5 (mono/monodevelop)
Comment 2 Mohit Kheterpal 2016-09-13 14:45:27 UTC
I have checked this issue and observed that this issue has been fixed with latest build of master XamarinStudio-6.2.0.486_8d603cc5cbdb4b86d329dce80210ae16388d1857 as shown in screencast : http://www.screencast.com/t/f2JX3xV4

Hence closing this issue by marking it as Verified.

thanks
Comment 3 xamarin-release-manager 2016-09-19 09:44:18 UTC
Fixed in version 6.1.2.3 (cycle8)

Author: Vincent Dondain
Commit: 6752c390a3757566d9efef323bbedce1ebaeed98 (xamarin/md-addins)
Included in Commit: 810b88f0ab11307f0258f993e10ec04431aa4036 (mono/monodevelop)
Comment 4 xamarin-release-manager 2016-09-19 09:45:40 UTC
Fixed in version 6.1.1.7 (cycle8-sr0)

Author: Vincent Dondain
Commit: ce49b5fab3034cfd40dbb3132d5cf1377e6a82ea (xamarin/md-addins)
Included in Commit: d8b32f2e91a12d368b5653aa035cde654d38bd53 (mono/monodevelop)
Comment 5 Mohit Kheterpal 2016-09-23 11:35:01 UTC
I have also checked this issue with C8SR0 XS i.e. XS 6.1.1 (build 14) and observed that this issue is fixed i.e. now user is able to build it successfully.

thanks
Comment 6 Manish Sinha 2016-09-23 14:56:07 UTC
Automation tests are also working perfectly.
Comment 7 xamarin-release-manager 2016-10-06 22:18:37 UTC
Fixed in version 6.1.2.27 (cycle8)

Author: Vincent Dondain
Commit: ce49b5fab3034cfd40dbb3132d5cf1377e6a82ea (xamarin/md-addins)
Included in Commit: b2677b526de69bd9f7b777a987a6501a1256524a (mono/monodevelop)

Note You need to log in before you can comment on or make changes to this bug.